# I3DExPhysicsSolver Struct Reference
[External Interfaces]

Inheritance diagram for I3DExPhysicsSolver:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Init ()=0
virtual boolean MCCOMAPI | SupportsRigidBody () const =0
virtual boolean MCCOMAPI | SupportsSoftBody () const =0
virtual boolean MCCOMAPI | SupportsConstraints () const =0
virtual void MCCOMAPI | SetIntegrationStep (real64 newTimeStep)=0
virtual void MCCOMAPI | SetCollisionPrecision (real64 precision)=0
virtual void MCCOMAPI | RunTo (real64 time)=0
virtual void MCCOMAPI | CreateRigidBody (I3DExRigidBody **body, I3DShTreeElement *tree, boolean isStatic)=0
virtual void MCCOMAPI | CreateSoftBody (I3DExSoftBody **body, I3DShTreeElement *tree)=0
virtual void MCCOMAPI | CreateGeometry (I3DExGeometry **geometry, boolean isStatic)=0
virtual void MCCOMAPI | CreateForce (I3DExPhysicForce **force, I3DExForce *carraraForce, I3DShTreeElement *tree)=0
virtual void MCCOMAPI | CreateConstraint (I3DExPhysicConstraint **constraint, I3DExRigidBody *bodyA, I3DExRigidBody *bodyB, const TTransform3D &worldTfm)=0

## Member Function Documentation

virtual void MCCOMAPI I3DExPhysicsSolver::CreateConstraint | ( | I3DExPhysicConstraint ** | constraint,
|  | I3DExRigidBody * | bodyA,
|  | I3DExRigidBody * | bodyB,
|  | const TTransform3D & | worldTfm |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExPhysicsSolver::CreateForce | ( | I3DExPhysicForce ** | force,
|  | I3DExForce * | carraraForce,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExPhysicsSolver::CreateGeometry | ( | I3DExGeometry ** | geometry,
|  | boolean | isStatic |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExPhysicsSolver::CreateRigidBody | ( | I3DExRigidBody ** | body,
|  | I3DShTreeElement * | tree,
|  | boolean | isStatic |
| ) |  |  | `[pure virtual]`

Adds a new object to the simulation a returns a pointer to that object. If you release the reference to that object, the body is deleted from the simulation.

Parameters:

  | body | A pointer to the rigid body that is created

virtual void MCCOMAPI I3DExPhysicsSolver::CreateSoftBody | ( | I3DExSoftBody ** | body,
|  | I3DShTreeElement * | tree |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DExPhysicsSolver::Init | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DExPhysicsSolver::RunTo | ( | real64 | time | ) | `[pure virtual]`

Run the simulation from current time to the newTime

Parameters:

  | time |

virtual void MCCOMAPI I3DExPhysicsSolver::SetCollisionPrecision | ( | real64 | precision | ) | `[pure virtual]`

Sets the precision of detecting contact points during collisions

Parameters:

  | precision | The precision in inches that is used to detect contact points. (0.01 inches by default)

virtual void MCCOMAPI I3DExPhysicsSolver::SetIntegrationStep | ( | real64 | newTimeStep | ) | `[pure virtual]`

Parameters:

  | newTimeStep |

virtual boolean MCCOMAPI I3DExPhysicsSolver::SupportsConstraints | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DExPhysicsSolver::SupportsRigidBody | ( |  | ) | const`[pure virtual]`

virtual boolean MCCOMAPI I3DExPhysicsSolver::SupportsSoftBody | ( |  | ) | const`[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExRigidBodySolver.h